- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# syscall_new.c File Reference

`#include <ubixos/syscalls_new.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/types.h>`
`#include <ubixos/endtask.h>`
`#include <ubixos/spinlock.h>`
`#include <sys/trap.h>`
`#include <lib/string.h>`
`#include <lib/kprintf.h>`

Include dependency graph for syscall_new.c:

Go to the source code of this file.

## Functions
void | syscall (struct trapframe frame)
## Variables
spinLock_t | Master = SPIN_LOCK_INITIALIZER

## Function Documentation

void syscall | ( | struct trapframe | frame | ) |

Definition at line 41 of file syscall_new.c.

References _current, EJUSTRETURN, ERESTART, kprintf(), memcpy(), PSL_C, systemCalls_new, taskStruct::td, thread::td_retval, trapframe::tf_eax, trapframe::tf_edx, trapframe::tf_eflags, trapframe::tf_eip, trapframe::tf_err, trapframe::tf_esp, and totalCalls_new.

Here is the call graph for this function:

## Variable Documentation

spinLock_t Master = SPIN_LOCK_INITIALIZER

Definition at line 39 of file syscall_new.c.